"parent id" field is required in XMI data provided by REST API
Target version:

Resolution: Fixed

Description

can't build tasks tree from imported data otherwise.

need to add "task parent id" info into basic XML data provided by REST API.

Associated revisions

Revision 3671 - 2010-04-13 19:51 - Jean-Philippe Lang
Adds parent issue id in issue REST API (#5304).

History

#1 - 2010-04-13 19:26 - Jean-Philippe Lang

Could you please describe what happens when you don't provide this attribute?

#2 - 2010-04-13 19:35 - Alex Last

I'm trying to load data from Redmine to MSP (Microsoft project) using Redmine REST API. | need "parent-child" relations in the XML data so | can
build a tasks tree in my MSP plan instead of simple list.

other info like "related issues" (see task #5305) is also very important.

| think having this kind of MSP<-redmine integration will really benefit Redmine and boost its usage because people will be able to use it for project
planning, resource allocation, etc in addition to issue/task management.

The other option is to add all those features to redmine itself, but | haven't seen any plan/roadmap related to this.
#3 - 2010-04-13 19:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

| see, | did not understand the initial request.
It's added in /issues.xml and /issues/1.xml (see r3671).

#4 - 2010-04-13 20:01 - Alex Last
thanks a lot.

I'm trying to use demo.redmine.org for this prototype. Is it updated automatically with redmine TRUNK version as soon as you have new code?

#5 - 2010-04-13 20:23 - Eric Davis

Alexey skor wrote:

I'm trying to use demo.redmine.org for this prototype. Is it updated automatically with redmine TRUNK version as soon as you have new code?

No, | have to update it by hand. Just applying new code automatically can cause some breakage.

2025-05-06 1/1



https://www.redmine.org/issues/5305
https://www.redmine.org/projects/redmine/repository/svn/revisions/3671
http://www.tcpdf.org

